Simular condições de empréstimo consignado
curl --request POST \
--url https://api.example.com/api/services/app/EConsignado/Simular \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"code": "<string>",
"registrationNumber": "<string>",
"releasedValue": 123,
"numberOfInstallments": 123,
"rebateId": 123
}
'import requests
url = "https://api.example.com/api/services/app/EConsignado/Simular"
payload = {
"code": "<string>",
"registrationNumber": "<string>",
"releasedValue": 123,
"numberOfInstallments": 123,
"rebateId": 123
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
code: '<string>',
registrationNumber: '<string>',
releasedValue: 123,
numberOfInstallments: 123,
rebateId: 123
})
};
fetch('https://api.example.com/api/services/app/EConsignado/Simular', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/EConsignado/Simular",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'registrationNumber' => '<string>',
'releasedValue' => 123,
'numberOfInstallments' => 123,
'rebateId' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/EConsignado/Simular"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"registrationNumber\": \"<string>\",\n \"releasedValue\": 123,\n \"numberOfInstallments\": 123,\n \"rebateId\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/services/app/EConsignado/Simular")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"code\": \"<string>\",\n \"registrationNumber\": \"<string>\",\n \"releasedValue\": 123,\n \"numberOfInstallments\": 123,\n \"rebateId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/EConsignado/Simular")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"code\": \"<string>\",\n \"registrationNumber\": \"<string>\",\n \"releasedValue\": 123,\n \"numberOfInstallments\": 123,\n \"rebateId\": 123\n}"
response = http.request(request)
puts response.read_body{
"term": 123,
"iofValue": 123,
"iofPercentage": 123,
"installmentValue": 123,
"annualCETPercentage": 123,
"monthlyCETPercentage": 123,
"totalDebtValue": 123,
"annualInterestPercentage": 123,
"totalCreditValue": 123,
"monthlyInterestPercentage": 123,
"requestedAmount": 123,
"firstDueDate": "2023-11-07T05:31:56Z",
"installments": [
{
"installmentNumber": 123,
"days": 123,
"dueDate": "2023-11-07T05:31:56Z",
"outstandingBalance": 123,
"amortizationValue": 123,
"interestValue": 123,
"totalInstallmentValue": 123,
"accumulatedInterest": 123,
"monthlyInterestValue": 123
}
]
}Consignado CLT
Simular condições de empréstimo consignado
POST
/
api
/
services
/
app
/
EConsignado
/
Simular
Simular condições de empréstimo consignado
curl --request POST \
--url https://api.example.com/api/services/app/EConsignado/Simular \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"code": "<string>",
"registrationNumber": "<string>",
"releasedValue": 123,
"numberOfInstallments": 123,
"rebateId": 123
}
'import requests
url = "https://api.example.com/api/services/app/EConsignado/Simular"
payload = {
"code": "<string>",
"registrationNumber": "<string>",
"releasedValue": 123,
"numberOfInstallments": 123,
"rebateId": 123
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
code: '<string>',
registrationNumber: '<string>',
releasedValue: 123,
numberOfInstallments: 123,
rebateId: 123
})
};
fetch('https://api.example.com/api/services/app/EConsignado/Simular', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/EConsignado/Simular",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'registrationNumber' => '<string>',
'releasedValue' => 123,
'numberOfInstallments' => 123,
'rebateId' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/EConsignado/Simular"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"registrationNumber\": \"<string>\",\n \"releasedValue\": 123,\n \"numberOfInstallments\": 123,\n \"rebateId\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/services/app/EConsignado/Simular")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"code\": \"<string>\",\n \"registrationNumber\": \"<string>\",\n \"releasedValue\": 123,\n \"numberOfInstallments\": 123,\n \"rebateId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/EConsignado/Simular")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"code\": \"<string>\",\n \"registrationNumber\": \"<string>\",\n \"releasedValue\": 123,\n \"numberOfInstallments\": 123,\n \"rebateId\": 123\n}"
response = http.request(request)
puts response.read_body{
"term": 123,
"iofValue": 123,
"iofPercentage": 123,
"installmentValue": 123,
"annualCETPercentage": 123,
"monthlyCETPercentage": 123,
"totalDebtValue": 123,
"annualInterestPercentage": 123,
"totalCreditValue": 123,
"monthlyInterestPercentage": 123,
"requestedAmount": 123,
"firstDueDate": "2023-11-07T05:31:56Z",
"installments": [
{
"installmentNumber": 123,
"days": 123,
"dueDate": "2023-11-07T05:31:56Z",
"outstandingBalance": 123,
"amortizationValue": 123,
"interestValue": 123,
"totalInstallmentValue": 123,
"accumulatedInterest": 123,
"monthlyInterestValue": 123
}
]
}Simula as condições do consignado CLT (valor liberado e número de parcelas) antes de
criar a proposta. Identifique a operação pelo
code (de
Solicitar autorização) e informe a
registrationNumber (matrícula) do vínculo escolhido em
Obter relacionamentos. Depois
Contratar.
Os ids de tabela configurados para a sua loja (e o padrão de cada produto) estão em Listar tabelas.
Autentique-se antes (Autenticação).
curl -X POST "https://gateway.hubcred.com.br/external/v1/api/services/app/EConsignado/Simular" \
-H "Authorization: Bearer SEU_TOKEN" -H "Content-Type: application/json" \
-d '{ "code": "ABC123", "registrationNumber": "0001234", "releasedValue": 5000, "numberOfInstallments": 12, "rebateId": null }'
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Input com os dados para simulação
Dados de entrada para simulação de consignado externo.
Código da operação (retornado em SolicitarAutorizacao).
Matrícula do vínculo empregatício (obtida em ObterListaDeRelacionamentos).
Valor liberado desejado.
Número de parcelas.
ID do rebate (opcional).
Response
OK
Resultado da simulação de consignado externo.
Prazo (número de parcelas).
Valor do IOF.
Percentual do IOF.
Valor da parcela.
Percentual do CET anual.
Percentual do CET mensal.
Valor total da dívida.
Percentual de juros anual.
Valor total do crédito.
Percentual de juros mensal.
Valor solicitado.
Data do primeiro vencimento.
Detalhes das parcelas.
Show child attributes
Show child attributes